explain_setdomainname_or_die(3)

NAME
explain_setdomainname_or_die - set domain name and report errors

SYNOPSIS
#include <libexplain/setdomainname.h>

void explain_setdomainname_or_die(const char *data, size_t data_size);
int explain_setdomainname_on_error(const char *data, size_t data_size);

DESCRIPTION
The explain_setdomainname_or_die function is used to call the setdomainname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setdomainname(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setdomainname_on_error function is used to call the setdomainname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setdomainname(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the setdomainname(2) system call.

data_size
    The data_size, exactly as to be passed to the setdomainname(2) system call.

RETURN VALUE
The explain_setdomainname_or_die function only returns on success, see setdomainname(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setdomainname_on_error function always returns the value return by the wrapped setdomainname(2) system call.

EXAMPLE
The explain_setdomainname_or_die function is intended to be used in a fashion similar to the following example:
    explain_setdomainname_or_die(data, data_size);

SEE ALSO

setdomainname(2)
    set domain name

explain_setdomainname(3)
    explain setdomainname(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller